Package org.firebirdsql.jdbc

## Class SQLStateConstants

- java.lang.Object
- - org.firebirdsql.jdbc.SQLStateConstants

-     public final class SQLStateConstants
      extends java.lang.Object

  Constants with common SQLState values.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SQL_STATE_COMM_LINK_FAILURE` |
    `static java.lang.String` | `SQL_STATE_CONNECTION_CLOSED` |
    `static java.lang.String` | `SQL_STATE_CONNECTION_ERROR` |
    `static java.lang.String` | `SQL_STATE_CONNECTION_FAILURE` |
    `static java.lang.String` | `SQL_STATE_CONNECTION_FAILURE_IN_TX` |
    `static java.lang.String` | `SQL_STATE_FEATURE_NOT_SUPPORTED` |
    `static java.lang.String` | `SQL_STATE_GENERAL_ERROR` |
    `static java.lang.String` | `SQL_STATE_INVALID_ARG_VALUE` |
    `static java.lang.String` | `SQL_STATE_INVALID_COLUMN` |
    `static java.lang.String` | `SQL_STATE_INVALID_CONN_ATTR` |
    `static java.lang.String` | `SQL_STATE_INVALID_CONVERSION` |
    `static java.lang.String` | `SQL_STATE_INVALID_ESCAPE_SEQ` |
    `static java.lang.String` | `SQL_STATE_INVALID_OPTION_IDENTIFIER` |
    `static java.lang.String` | `SQL_STATE_INVALID_PARAM_TYPE` |
    `static java.lang.String` | `SQL_STATE_INVALID_STATEMENT_ID` |
    `static java.lang.String` | `SQL_STATE_INVALID_STMT_TYPE` |
    `static java.lang.String` | `SQL_STATE_INVALID_TRANSACTION_STATE` |
    `static java.lang.String` | `SQL_STATE_INVALID_TX_STATE` |
    `static java.lang.String` | `SQL_STATE_NO_RESULT_SET` |
    `static java.lang.String` | `SQL_STATE_NO_ROW_AVAIL` |
    `static java.lang.String` | `SQL_STATE_SYNTAX_ERROR` |
    `static java.lang.String` | `SQL_STATE_TRANSACTION_ACTIVE` |
    `static java.lang.String` | `SQL_STATE_TRANSACTION_ROLLED_BACK` |
    `static java.lang.String` | `SQL_STATE_WARNING` |
    `static java.lang.String` | `SQL_STATE_WRONG_PARAM_NUM` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SQL_STATE_WARNING

          public static final java.lang.String SQL_STATE_WARNING

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_CONN_ATTR

          public static final java.lang.String SQL_STATE_INVALID_CONN_ATTR

      See Also:
        Constant Field Values

    - #### SQL_STATE_NO_ROW_AVAIL

          public static final java.lang.String SQL_STATE_NO_ROW_AVAIL

      See Also:
        Constant Field Values

    - #### SQL_STATE_FEATURE_NOT_SUPPORTED

          public static final java.lang.String SQL_STATE_FEATURE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### SQL_STATE_GENERAL_ERROR

          public static final java.lang.String SQL_STATE_GENERAL_ERROR

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_COLUMN

          public static final java.lang.String SQL_STATE_INVALID_COLUMN

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_ARG_VALUE

          public static final java.lang.String SQL_STATE_INVALID_ARG_VALUE

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_OPTION_IDENTIFIER

          public static final java.lang.String SQL_STATE_INVALID_OPTION_IDENTIFIER

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_PARAM_TYPE

          public static final java.lang.String SQL_STATE_INVALID_PARAM_TYPE

      See Also:
        Constant Field Values

    - #### SQL_STATE_WRONG_PARAM_NUM

          public static final java.lang.String SQL_STATE_WRONG_PARAM_NUM

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_STMT_TYPE

          public static final java.lang.String SQL_STATE_INVALID_STMT_TYPE

      See Also:
        Constant Field Values

    - #### SQL_STATE_NO_RESULT_SET

          public static final java.lang.String SQL_STATE_NO_RESULT_SET

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_CONVERSION

          public static final java.lang.String SQL_STATE_INVALID_CONVERSION

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_TX_STATE

          public static final java.lang.String SQL_STATE_INVALID_TX_STATE

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_TRANSACTION_STATE

          public static final java.lang.String SQL_STATE_INVALID_TRANSACTION_STATE

      See Also:
        Constant Field Values

    - #### SQL_STATE_TRANSACTION_ACTIVE

          public static final java.lang.String SQL_STATE_TRANSACTION_ACTIVE

      See Also:
        Constant Field Values

    - #### SQL_STATE_TRANSACTION_ROLLED_BACK

          public static final java.lang.String SQL_STATE_TRANSACTION_ROLLED_BACK

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_STATEMENT_ID

          public static final java.lang.String SQL_STATE_INVALID_STATEMENT_ID

      See Also:
        Constant Field Values

    - #### SQL_STATE_CONNECTION_ERROR

          public static final java.lang.String SQL_STATE_CONNECTION_ERROR

      See Also:
        Constant Field Values

    - #### SQL_STATE_CONNECTION_CLOSED

          public static final java.lang.String SQL_STATE_CONNECTION_CLOSED

      See Also:
        Constant Field Values

    - #### SQL_STATE_CONNECTION_FAILURE

          public static final java.lang.String SQL_STATE_CONNECTION_FAILURE

      See Also:
        Constant Field Values

    - #### SQL_STATE_CONNECTION_FAILURE_IN_TX

          public static final java.lang.String SQL_STATE_CONNECTION_FAILURE_IN_TX

      See Also:
        Constant Field Values

    - #### SQL_STATE_COMM_LINK_FAILURE

          public static final java.lang.String SQL_STATE_COMM_LINK_FAILURE

      See Also:
        Constant Field Values

    - #### SQL_STATE_SYNTAX_ERROR

          public static final java.lang.String SQL_STATE_SYNTAX_ERROR

      See Also:
        Constant Field Values

    - #### SQL_STATE_INVALID_ESCAPE_SEQ

          public static final java.lang.String SQL_STATE_INVALID_ESCAPE_SEQ

      See Also:
        Constant Field Values